Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.naming
Class StringRefAddr

    java.lang.Object
      |
      +--javax.naming.RefAddr
            |
            +--javax.naming.StringRefAddr

All Implemented Interfaces:
  Serializable

public class StringRefAddr
extends RefAddr

This class represents the string form of the address of a communications end-point. It consists of a type that describes the communication mechanism and a string contents specific to that communication mechanism. The format and interpretation of the address type and the contents of the address are based on the agreement of three parties: the client that uses the address, the object/server that can be reached using the address, and the administrator or program that creates the address.

An example of a string reference address is a host name. Another example of a string reference address is a URL.

A string reference address is immutable: once created, it cannot be changed. Multithreaded access to a single StringRefAddr need not be synchronized.

Since:
  1.3
See Also:
  `RefAddr`, `BinaryRefAddr`, Serialized Form

Fields inherited from class javax.naming.RefAddr
`addrType`

Constructor Summary
`StringRefAddr(String addrType, String addr)` Constructs a new instance of StringRefAddr using its address type and contents.

Method Summary
`Object` | `getContent()` Retrieves the contents of this address.

Methods inherited from class javax.naming.RefAddr
`equals, getType, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringRefAddr

    public StringRefAddr(String addrType,
                         String addr)

  Constructs a new instance of StringRefAddr using its address type and contents.
  Parameters:
    `addrType` - A non-null string describing the type of the address.
    `addr` - The possibly null contents of the address in the form of a string.

Method Detail

### getContent

    public Object getContent()

  Retrieves the contents of this address. The result is a string.
  Overrides:
    `getContent` in class `RefAddr`
  Returns:
    The possibly null address contents.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.